Subject: Please make it possible to have a directory-local setting for auto-mode-alist

From: Reuben Thomas <[email-masked]>
Date: Mon, 4 Aug 2014 11:28:18 +0100

I'd like to use a different major mode for Javascript files in a particular
project from the one I use by default. At present this seems to be easy to
achieve only by changing auto-mode-alist; changing this idempotently in
.dir-locals.el is tricky.

As per
http://lists.gnu.org/archive/html/help-gnu-emacs/2011-01/msg00363.html ,
where Stefan Monnier said he thought this was a reasonable idea and a bug
should be filed, and as per
http://lists.gnu.org/archive/html/help-gnu-emacs/2011-01/msg00579.html
where Ted Zlatonov noticed that the original requester had not filed a bug,
I'm requesting this feature.

-- 
http://rrt.sc3d.org